import { ReactNode } from "react";
import { Typography } from "@mui/material";
import { Stack } from "@mui/system";

interface IconBadgeProps {
  icon: ReactNode;
  title: string;
  subtitle?: string | ReactNode;
  gap?: number;
}

export const IconBadge = ({
  icon,
  title,
  subtitle,
  gap = 3
}: IconBadgeProps) => (
  <Stack
    flexDirection="row"
    alignItems="center"
    gap={gap}
  >
    {icon}
    <Stack>
      <Typography
        variant="subtitle1"
        component="p"
        color="textPrimary"
      >
        {title}
      </Typography>
      {typeof subtitle === "string" ? (
        <Typography
          component="p"
          variant="subtitle2"
        >
          {subtitle}
        </Typography>
      ) : (
        subtitle
      )}
    </Stack>
  </Stack>
);
