import { Meta } from "@storybook/react";
import {
  AlertBanner,
  AlertBannerList,
  AlertBannerListProps,
  AlertBannerProps
} from "../../../components/common/AlertBanner";
import { sbDisabledArg } from "../../utils/common-args";

export default {
  title: "Common/AlertBanner",
  component: AlertBanner
} as Meta<typeof AlertBanner>;

export const Default = (args: AlertBannerProps) => <AlertBanner {...args} />;
Default.args = {
  type: "WARNING",
  message: "Your custom message here"
};

export const WithLink = (args: AlertBannerProps) => <AlertBanner {...args} />;
WithLink.args = {
  ...Default.args,
  link: "#"
};

export const ManyAlerts = (args: AlertBannerListProps) => (
  <AlertBannerList {...args} />
);
ManyAlerts.argTypes = {
  alerts: sbDisabledArg,
  type: sbDisabledArg,
  message: sbDisabledArg,
  link: sbDisabledArg
};
ManyAlerts.args = {
  alerts: [
    {
      type: "INFO",
      message: "Your info message here"
    },
    {
      type: "WARNING",
      message: "Your warning message here"
    },
    {
      type: "ERROR",
      message: "Your error message here",
      link: "#"
    }
  ]
};
