import { Paper, Link } from "@mui/material";
import { AcUnit } from "@mui/icons-material";
import { IconBadge } from "../../../components/common/IconBadge";
import { useUniqueKeys } from "../../../hooks/useUniqueKeys";

export default {
  title: "Common/IconBadge"
};

const iconBadges = [
  {
    icon: <AcUnit />,
    title: "It's really cold outside!"
  },
  {
    icon: <AcUnit />,
    title: "It's really cold outside!",
    subtitle: "Dangerously so!"
  },
  {
    icon: <AcUnit />,
    title: "It's really cold outside!",
    subtitle: "With bigger gap between icon and title",
    gap: 10
  },
  {
    icon: <AcUnit />,
    title: "It's really cold outside!",
    subtitle: <Link>Subtitle as a custom component</Link>
  }
];

export const Default = () => {
  const iconBadgesKeys = useUniqueKeys(iconBadges);
  return (
    <>
      {iconBadgesKeys &&
        iconBadges.map((badge, i) => (
          <Paper
            key={iconBadgesKeys[i]}
            sx={{
              padding: 2,
              marginBottom: 2
            }}
          >
            <IconBadge {...badge} />
          </Paper>
        ))}
    </>
  );
};
